.e-btn {
  @include fluid-type(14px, 16px);
  align-items: center;
  border-radius: 6px;
  cursor: pointer;
  display: flex;
  font-weight: bold;
  height: 46px;
  justify-content: center;
  text-align: center;
  text-decoration: none;
  min-width: 160px;
  padding: 0 15px;
  @include media-breakpoint-down(sm) {
    min-width: 100%;
  }

  &:focus,
  &:hover {
    text-decoration: none;
  }

  // Botón verde
  &__brand {
    background-color: color('brand');
    color: color('white');
    &:focus,
    &:hover {
      background-color: rgba(color('brand'), 0.9);
      color: color('white');
    }
  }

  &__secondary {
    color: color('brand');
    background-color: #fff;
    border: 1px solid color('brand');
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 46px;
    padding: 0 15px;
    font-weight: bold;
    white-space: nowrap;
    &:focus,
    &:hover {
        color: color('brand');
        cursor: pointer;
    }
  }

  &.disabled {
    background-color: color('grey');
    color: color('tag');
    font-weight: normal;
    cursor: no-drop;
    font-style: italic;
  }
}


@include media-breakpoint-down(sm) {
  .e-btn {
    &--sm-block {
      width: 100%;
    }
    &__secondary {
      white-space: normal;
    }
  }
}

.cursor-pointer {
  cursor: pointer;
}